Debian Bug report logs - #384381
trac: Python-support is buggy

version graph

Package: trac; Maintainer for trac is Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>; Source for trac is src:trac.

Reported by: Damyan Ivanov <dam@modsoftsys.com>

Date: Wed, 23 Aug 2006 21:18:10 UTC

Severity: grave

Found in versions trac/0.9.6-2, 0.9.6-3

Fixed in versions trac/0.10-2, trac/0.10-3

Done: Jesus Climent <jesus.climent@hispalinux.es>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
New Bug report received and forwarded. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: trac: Python-support is buggy
Date: Wed, 23 Aug 2006 23:01:52 +0200
Package: trac
Version: 0.9.6-2
Severity: grave
Justification: renders package unusable

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I get a lots of "no module named cache" exceptions on my tracs (when 
browsing online svn ie).

Symlinking trac module to site-packages make trac working again :
ln -s /usr/share/python-support/trac/trac/ /usr/lib/python2.3/site-packages/trac

It's seems that python-support is not well used, but I don't know it at 
all so I can't found why it fails :/

- -- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (300, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-2-686-smp
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

Versions of packages trac depends on:
ii  python                        2.3.5-11   An interactive high-level object-o
ii  python-clearsilver            0.10.3-3   python bindings for clearsilver
ii  python-pysqlite2              2.3.2-1    python interface to SQLite 3
ii  python-subversion             1.3.2-5    Python bindings for Subversion
ii  python-support                0.4.1      automated rebuilding support for p
ii  subversion                    1.3.2-5    Advanced version control system

Versions of packages trac recommends:
ii  apache2                       2.0.55-4.1 next generation, scalable, extenda
ii  apache2-mpm-prefork [httpd]   2.0.55-4.1 traditional model for Apache2
pn  python-setuptools             <none>     (no description available)

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFE7MJAHNb/igTI5bsRAmkcAJsEph4XnhKFKSIYOxIxrXxn8qA0mACfXyyP
lw5umNBaHHUg/AZTWn4o1Hg=
=WjmF
-----END PGP SIGNATURE-----



Message sent on to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#384381. Full text and rfc822 format available.

Message #8 received at 384381-submitter@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@debian.org>
To: 384381-submitter@bugs.debian.org
Subject: Re: trac: Python-support is buggy
Date: Sat, 02 Sep 2006 15:56:11 -0400
Hi,

I'm not able to reproduce this; can you please try 0.9.6-3 packages, and
send the specific exception backtraces that you're getting?  My guess is
that it's an upgrade issue, w/ stale .pyc modules in /usr/lib/python2.3
being used when they're not supposed to be (the new python stuff
_should_ be using python2.4, at the very least).




Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #13 received at 384381@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: 384381@bugs.debian.org
Date: Thu, 14 Sep 2006 13:35:01 +0200
I can't reproduce it again...
It's seems the bug have just "disappeared". Maybe it was some kind of cache 
issue.



Reply sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 384381-close@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: 384381-close@bugs.debian.org
Date: Thu, 14 Sep 2006 13:36:27 +0200



Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #23 received at 384381@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: control@bugs.debian.org, 384381@bugs.debian.org
Subject: trac: No module named svn (reopen)
Date: Mon, 25 Sep 2006 16:38:31 +0300
[Message part 1 (text/plain, inline)]
reopen 384381 !
found 384381 0.9.6-3
thanks

Hi,

I seem to be suffering from the same problem. The system is "mostly
testing" with subversion package (and perhaps others) from sid.
Backtrace is below.

Retrying the request gives the same backtrace, but ending at
  File "/var/lib/python-support/python2.3/trac/env.py", line 155, in
get_repository
    from trac.versioncontrol.svn_fs import SubversionRepository
ImportError: cannot import name SubversionRepository


thanks,
	dam

=========================================
Traceback (most recent call last):
  File
"/var/lib/python-support/python2.3/trac/web/modpython_frontend.py",
line 206, in handler
    dispatch_request(mpr.path_info, mpr, env)
  File "/var/lib/python-support/python2.3/trac/web/main.py", line 139,
in dispatch_request
    dispatcher.dispatch(req)
  File "/var/lib/python-support/python2.3/trac/web/main.py", line 107,
in dispatch
    resp = chosen_handler.process_request(req)
  File
"/var/lib/python-support/python2.3/trac/versioncontrol/web_ui/browser.py",
line 78, in process_request
    repos = self.env.get_repository(req.authname)
  File "/var/lib/python-support/python2.3/trac/env.py", line 155, in
get_repository
    from trac.versioncontrol.svn_fs import SubversionRepository
  File
"/var/lib/python-support/python2.3/trac/versioncontrol/svn_fs.py",
line 25, in ?
    from svn import fs, repos, core, delta
ImportError: No module named svn

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-2-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages trac depends on:
ii  python                        2.4.3-11   An interactive high-level
object-o
ii  python-clearsilver            0.10.3-4   python bindings for
clearsilver
ii  python-pysqlite2              2.3.2-1    python interface to SQLite 3
ii  python-subversion             1.3.2-5+b1 Python bindings for
Subversion
ii  python-support                0.5.1      automated rebuilding
support for p
ii  subversion                    1.4.0-2    Advanced version control
system

Versions of packages trac recommends:
ii  apache2                       2.0.55-4.2 next generation,
scalable, extenda
ii  apache2-mpm-worker [httpd]    2.0.55-4.2 high speed threaded model
for Apac
pn  python-setuptools             <none>     (no description available)

-- no debconf information

-- 
Damyan Ivanov                           Modular Software Systems
dam@modsoftsys.com
phone +359(2)928-2611, 929-3993              fax +359(2)920-0994
mobile +359(88)856-6067             dam@jabber.minus273.org/Gaim

[signature.asc (application/pgp-signature, attachment)]

Bug reopened, originator set to Damyan Ivanov <dam@modsoftsys.com>. Request was from Damyan Ivanov <dam@modsoftsys.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as found in version 0.9.6-3. Request was from Damyan Ivanov <dam@modsoftsys.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Jaakko Niemi <liiwi@lonesom.pp.fi>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #32 received at 384381@bugs.debian.org (full text, mbox):

From: Jaakko Niemi <liiwi@lonesom.pp.fi>
To: 384381@bugs.debian.org
Cc: dam@modsoftsys.com
Subject: More info needed, trac bug #384381
Date: Mon, 2 Oct 2006 20:20:10 +0300
 Hello,

 Somehow I suspect that trac needs versioned dep to python-subversion...

 Can you reproduce this with python-subversion 1.4.0 ?
 (provides python2.4-subversion ...)

 		--j




Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@creditreform.bg>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #37 received at 384381@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@creditreform.bg>
To: Jaakko Niemi <liiwi@lonesom.pp.fi>
Cc: 384381@bugs.debian.org
Subject: Re: More info needed, trac bug #384381
Date: Tue, 3 Oct 2006 17:52:00 +0300
Hi, Jaako,

thanks for taking time to investigate this bug.

On Mon, Oct 02, 2006 at 08:20:10PM +0300, Jaakko Niemi wrote:
>  Somehow I suspect that trac needs versioned dep to python-subversion...
> 
>  Can you reproduce this with python-subversion 1.4.0 ?
>  (provides python2.4-subversion ...)

Unfortunatelly, yes. The same behaviour can be observed with
python-subversion 1.4.0-2 from unstable.


    dam
-- 
Damyan Ivanov                           Modular Software Systems
dam@modsoftsys.com
phone +359(2)928-2611, 929-3993              fax +359(2)920-0994
mobile +359(88)856-6067             dam@jabber.minus273.org/Gaim



Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #42 received at 384381@bugs.debian.org (full text, mbox):

From: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>
To: Debian Bug Tracking System <384381@bugs.debian.org>
Subject: trac: Caused by using "wrong" python version
Date: Fri, 13 Oct 2006 21:31:47 -0500
[Message part 1 (text/plain, inline)]
Package: trac
Followup-For: Bug #384381

Looking at the traces, it appears that the bug has to do with running
under python2.3. python-subversion depends on python >= 2.4 and thus
does not provide .py{,c,o} files for 2.3, hence the import error.

Weird thing is, all executables in the package use a 
#!/usr/bin/python
she-bang which should pick up the default python version, which is 2.4
both in testing and unstable.

What method for running trac is being used? mod-python, perhaps?

-- 
Rodrigo Gallardo
GPG-Fingerprint: 7C81 E60C 442E 8FBC D975  2F49 0199 8318 ADC9 BC28
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <dam@modsoftsys.com>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #47 received at 384381@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: 384381@bugs.debian.org
Cc: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>
Subject: Re: trac: Caused by using "wrong" python version
Date: Sun, 15 Oct 2006 00:20:25 +0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi, Luis,

I was not subscribed to the bug (I am now) and thus the late reply.

> Looking at the traces, it appears that the bug has to do with running
> under python2.3. python-subversion depends on python >= 2.4 and thus
> does not provide .py{,c,o} files for 2.3, hence the import error.
> 
> Weird thing is, all executables in the package use a 
> #!/usr/bin/python
> she-bang which should pick up the default python version, which is 2.4
> both in testing and unstable.
> 
> What method for running trac is being used? mod-python, perhaps?

mod-python, yes.

Aaah! Look at this. You are right about the 2.3 thing!

$ dpkg -l libapache*-mod-python* | grep ^i
ii  libapache2-mod-python2.3  3.1.3-3        An Apache 2 module that
embeds Python 2.3 wi

Perhaps a Conflicts: is in order? (This is a wild guess)

After installing libapache2-mod-python (which provides
libapache2-mod-python2.4) the bug is gone!

Thank you very much,
	dam
- --
Damyan Ivanov                           Modular Software Systems
dam@modsoftsys.com
phone +359(2)928-2611, 929-3993              fax +359(2)920-0994
mobile +359(88)856-6067             dam@jabber.minus273.org/Gaim
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFFMVSZHqjlqpcl9jsRAgTCAKClgBpgVC/5c9y5gFoOBL+fndbw3QCeLf8j
xa1wj6VINHLqCvqH7xLyeA4=
=EIC2
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Jesus Climent <jesus.climent@hispalinux.es>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #52 received at 384381@bugs.debian.org (full text, mbox):

From: Jesus Climent <jesus.climent@hispalinux.es>
To: Otavio Salvador <otavio@debian.org>, 384381@bugs.debian.org
Subject: Re: Bug#384381: trac: Caused by using "wrong" python version
Date: Mon, 16 Oct 2006 20:48:51 +0200
On Sun, Oct 15, 2006 at 12:20:25AM +0300, Damyan Ivanov wrote:
>
> > What method for running trac is being used? mod-python, perhaps?
> 
> mod-python, yes.
> 
> Aaah! Look at this. You are right about the 2.3 thing!
> 
> $ dpkg -l libapache*-mod-python* | grep ^i
> ii  libapache2-mod-python2.3  3.1.3-3        An Apache 2 module that
> embeds Python 2.3 wi
> 
> Perhaps a Conflicts: is in order? (This is a wild guess)
> 
> After installing libapache2-mod-python (which provides
> libapache2-mod-python2.4) the bug is gone!

I am putting the Conflicts: in place so that we can upload this release to
etch and get it thru.

Unless someone objects?

-- 
Jesus Climent                      info:pumuki.org dj:triplestereo.com
Unix SysAdm|Linux User #66350|Debian Developer|2.6.18|Helsinki Finland
GPG: 1024D/86946D69 BB64 2339 1CAA 7064 E429  7E18 66FC 1D7F 8694 6D69

I find your lack of faith disturbing.
		--Darth Vader (Star Wars)



Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #57 received at 384381@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Jesus Climent <jesus.climent@hispalinux.es>
Cc: 384381@bugs.debian.org
Subject: Re: Bug#384381: trac: Caused by using "wrong" python version
Date: Mon, 16 Oct 2006 16:22:41 -0200
Jesus Climent <jesus.climent@hispalinux.es> writes:

> On Sun, Oct 15, 2006 at 12:20:25AM +0300, Damyan Ivanov wrote:
>>
>> > What method for running trac is being used? mod-python, perhaps?
>> 
>> mod-python, yes.
>> 
>> Aaah! Look at this. You are right about the 2.3 thing!
>> 
>> $ dpkg -l libapache*-mod-python* | grep ^i
>> ii  libapache2-mod-python2.3  3.1.3-3        An Apache 2 module that
>> embeds Python 2.3 wi
>> 
>> Perhaps a Conflicts: is in order? (This is a wild guess)
>> 
>> After installing libapache2-mod-python (which provides
>> libapache2-mod-python2.4) the bug is gone!
>
> I am putting the Conflicts: in place so that we can upload this release to
> etch and get it thru.
>
> Unless someone objects?

Go ahead! :-D

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://www.freedom.ind.br/otavio
---------------------------------------------
"Microsoft gives you Windows ... Linux gives
 you the whole house."



Reply sent to Jesus Climent <jesus.climent@hispalinux.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dam@modsoftsys.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 384381-close@bugs.debian.org (full text, mbox):

From: Jesus Climent <jesus.climent@hispalinux.es>
To: 384381-close@bugs.debian.org
Subject: Bug#384381: fixed in trac 0.10-2
Date: Tue, 17 Oct 2006 11:17:58 -0700
Source: trac
Source-Version: 0.10-2

We believe that the bug you reported is fixed in the latest version of
trac, which is due to be installed in the Debian FTP archive:

trac_0.10-2.diff.gz
  to pool/main/t/trac/trac_0.10-2.diff.gz
trac_0.10-2.dsc
  to pool/main/t/trac/trac_0.10-2.dsc
trac_0.10-2_all.deb
  to pool/main/t/trac/trac_0.10-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384381@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jesus Climent <jesus.climent@hispalinux.es> (supplier of updated trac package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 16 Oct 2006 21:58:29 +0300
Source: trac
Binary: trac
Architecture: source all
Version: 0.10-2
Distribution: unstable
Urgency: medium
Maintainer: Jesus Climent <jesus.climent@hispalinux.es>
Changed-By: Jesus Climent <jesus.climent@hispalinux.es>
Description: 
 trac       - Enhanced wiki and issue tracking system for software development 
Closes: 384381
Changes: 
 trac (0.10-2) unstable; urgency=medium
 .
   * debian/control: Added a Conflicts: against libapache2-mod-python2.3 to
     avoid breakage if using it through apache2 (Closes: #384381).
   * Urgency = high to get it back in etch.
   * Added missing changelog entries from Andres Salomon.
Files: 
 192864de3c07f506a4baf9f3996104ed 700 web optional trac_0.10-2.dsc
 5459f93af99c646d0a8df2847ac69713 7483 web optional trac_0.10-2.diff.gz
 d2c4c551ebb76db963277cbb97ff4216 385812 web optional trac_0.10-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFNNiZZvwdf4aUbWkRAh6XAJ92ONSgX7wYQx2fAkmKI1qDnlTFoACfRsbk
0z0ktHKkB88B37nJJ0fNQMc=
=M7Hf
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to kaouete <kaouete@crazydwarves.org>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #67 received at 384381@bugs.debian.org (full text, mbox):

From: kaouete <kaouete@crazydwarves.org>
To: 384381@bugs.debian.org
Subject: libapache2-mod-python
Date: Wed, 18 Oct 2006 07:25:59 +0200
[Message part 1 (text/plain, inline)]
Hi,

libapache2-mod-python is a virtual package for
libapache2-mod-python2.3 so when i installed this version of trac
it removes libapache2-mod-python !
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #72 received at 384381@bugs.debian.org (full text, mbox):

From: Luis Rodrigo Gallardo Cruz <rodrigo@nul-unu.com>
To: kaouete <kaouete@crazydwarves.org>, 384381@bugs.debian.org
Subject: Re: Bug#384381: libapache2-mod-python
Date: Wed, 18 Oct 2006 08:18:27 -0500
On Wed, Oct 18, 2006 at 07:25:59AM +0200, kaouete wrote:
> Hi,
> 
> libapache2-mod-python is a virtual package for
> libapache2-mod-python2.3 so when i installed this version of trac
> it removes libapache2-mod-python !

Looking at the file list for libapache-mod-python, I see it does not provide
a version compiled for 2.3, so it seems to me that prividing said
virtual package is a bug there, not here.

I'll go file it right now.

-- 
Rodrigo Gallardo



Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #77 received at 384381@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>
To: 384381@bugs.debian.org
Subject: trac 0.10-2 forces removal of libapache2-mod-python from etch
Date: Thu, 19 Oct 2006 09:49:40 -0400
i tried to upgrade my instance of trac today from 0.10-1 to 0.10-2,
and apt wants to remove libapache2-mod-python (i have version 3.2.10-1
installed, which is the etch version).

i'm not sure i understand why the removal is being requested, but if i
were to agree with it, it would make trac unusable to me, as i run it
under apache2.

i think the removal is being requested because libapache2-mod-python
(despite being built with python2.4, afaict) Provides:
libapache2-mod-python2.3, which trac 0.10-2 Conflicts: with.  However,
i'm not sure about this.

i wish i had a suggestion for a workaround, but this is reaching the
limits of my apt knowledge.  i'm happy to provide any additional
information you need that might help resolve the problem, though.

Thanks for maintaining trac!

	--dkg



Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Luis Matos <gass@otiliamatos.ath.cx>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #82 received at 384381@bugs.debian.org (full text, mbox):

From: Luis Matos <gass@otiliamatos.ath.cx>
To: 384381@bugs.debian.org
Subject: followup
Date: Fri, 20 Oct 2006 03:01:55 +0100
also, opening
http://packages.debian.org/cgi-bin/search_packages.pl?searchon=names&version=all&exact=0&keywords=libapache2-mod-python we can see that there is no ...python2.4 or python2.3, just -python so is a python 2.4 module.

Also see this bug: #393927 against libapache2-mod-python.


-- 
Best Regards,
--
Luis Matos




Reply sent to Jesus Climent <jesus.climent@hispalinux.es>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Damyan Ivanov <dam@modsoftsys.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 384381-close@bugs.debian.org (full text, mbox):

From: Jesus Climent <jesus.climent@hispalinux.es>
To: 384381-close@bugs.debian.org
Subject: Bug#384381: fixed in trac 0.10-3
Date: Thu, 19 Oct 2006 15:06:47 -0700
Source: trac
Source-Version: 0.10-3

We believe that the bug you reported is fixed in the latest version of
trac, which is due to be installed in the Debian FTP archive:

trac_0.10-3.diff.gz
  to pool/main/t/trac/trac_0.10-3.diff.gz
trac_0.10-3.dsc
  to pool/main/t/trac/trac_0.10-3.dsc
trac_0.10-3_all.deb
  to pool/main/t/trac/trac_0.10-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 384381@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jesus Climent <jesus.climent@hispalinux.es> (supplier of updated trac package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Oct 2006 11:47:41 +0300
Source: trac
Binary: trac
Architecture: source all
Version: 0.10-3
Distribution: unstable
Urgency: low
Maintainer: Jesus Climent <jesus.climent@hispalinux.es>
Changed-By: Jesus Climent <jesus.climent@hispalinux.es>
Description: 
 trac       - Enhanced wiki and issue tracking system for software development 
Closes: 384381 393842
Changes: 
 trac (0.10-3) unstable; urgency=low
 .
   * debian/control: changed the Conflicts: entry with a versioned oned
     (Closes: #393842, #384381)
Files: 
 add5120f0e193d72af6a04532ce591b4 700 web optional trac_0.10-3.dsc
 df8260a984f523ef20c999b43d9b0b2a 7537 web optional trac_0.10-3.diff.gz
 486fa91c679e518e3510ed8d52143db2 385890 web optional trac_0.10-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFN+giZvwdf4aUbWkRAu5LAKDcTcw55eOkVI3Q2m9Csoex9ys88ACgmk6H
JsGFLzwzq0CexTDXiWDalQ8=
=Kh+h
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Jesus Climent <jesus.climent@hispalinux.es>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #92 received at 384381@bugs.debian.org (full text, mbox):

From: Jesus Climent <jesus.climent@hispalinux.es>
To: Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>, 384381@bugs.debian.org
Subject: Re: Bug#384381: trac 0.10-2 forces removal of libapache2-mod-python from etch
Date: Fri, 20 Oct 2006 13:08:57 +0200
On Thu, Oct 19, 2006 at 09:49:40AM -0400, Daniel Kahn Gillmor wrote:
> i tried to upgrade my instance of trac today from 0.10-1 to 0.10-2,
> and apt wants to remove libapache2-mod-python (i have version 3.2.10-1
> installed, which is the etch version).
> 
> i'm not sure i understand why the removal is being requested, but if i
> were to agree with it, it would make trac unusable to me, as i run it
> under apache2.
> 
> i think the removal is being requested because libapache2-mod-python
> (despite being built with python2.4, afaict) Provides:
> libapache2-mod-python2.3, which trac 0.10-2 Conflicts: with.  However,
> i'm not sure about this.
> 
> i wish i had a suggestion for a workaround, but this is reaching the
> limits of my apt knowledge.  i'm happy to provide any additional
> information you need that might help resolve the problem, though.

A new upload has been made that i believe solves the problem. Check under
incoming.debian.org

-- 
Jesus Climent                      info:pumuki.org dj:triplestereo.com
Unix SysAdm|Linux User #66350|Debian Developer|2.6.18|Helsinki Finland
GPG: 1024D/86946D69 BB64 2339 1CAA 7064 E429  7E18 66FC 1D7F 8694 6D69

If a man cannot choose, he ceases to be a man.
		--Minister (A clockwork orange)



Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Luis Matos <gass@otiliamatos.ath.cx>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #97 received at 384381@bugs.debian.org (full text, mbox):

From: Luis Matos <gass@otiliamatos.ath.cx>
To: 384381@bugs.debian.org
Subject: urgent upload of trac
Date: Fri, 20 Oct 2006 02:56:33 +0100
seeing http://packages.debian.org/libapache2-mod-python
libapache2-mod-python has python2.4 dependency for version >3.2.10-1

so, just add this to trac dependencies libapache2-mod-python(>=3.2.10-1)
| libapache2-mod-python2.4


and i think it will solve.


-- 
Best Regards,
--
Luis Matos




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Jesus Climent <jesus.climent@hispalinux.es>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #102 received at 384381@bugs.debian.org (full text, mbox):

From: Jesus Climent <jesus.climent@hispalinux.es>
To: Luis Matos <gass@otiliamatos.ath.cx>, 384381@bugs.debian.org
Subject: Re: Bug#384381: urgent upload of trac
Date: Fri, 20 Oct 2006 14:25:17 +0200
On Fri, Oct 20, 2006 at 02:56:33AM +0100, Luis Matos wrote:
> seeing http://packages.debian.org/libapache2-mod-python
> libapache2-mod-python has python2.4 dependency for version >3.2.10-1
> 
> so, just add this to trac dependencies libapache2-mod-python(>=3.2.10-1)
> | libapache2-mod-python2.4
> 
> and i think it will solve.

It is not a dependency, since it is a suggests, because trac can be used as a
standalone server.

I added a conflicts with libapache2-mod-python2.3 < 3.2.9

Cheers.

-- 
Jesus Climent                      info:pumuki.org dj:triplestereo.com
Unix SysAdm|Linux User #66350|Debian Developer|2.6.18|Helsinki Finland
GPG: 1024D/86946D69 BB64 2339 1CAA 7064 E429  7E18 66FC 1D7F 8694 6D69

Sandra Templeton, I love you and I WILL marry you.
		--Young Ed Bloom (Big Fish)



Information forwarded to debian-bugs-dist@lists.debian.org, Jesus Climent <jesus.climent@hispalinux.es>:
Bug#384381; Package trac. Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Jesus Climent <jesus.climent@hispalinux.es>. Full text and rfc822 format available.

Message #107 received at 384381@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg-debian.org@fifthhorseman.net>
To: Jesus Climent <jesus.climent@hispalinux.es>
Cc: 384381@bugs.debian.org
Subject: Re: Bug#384381: trac 0.10-2 forces removal of libapache2-mod-python from etch
Date: Fri, 20 Oct 2006 11:25:35 -0400
On October 20, jesus.climent@hispalinux.es said:

> A new upload has been made that i believe solves the problem. Check
> under incoming.debian.org

Yep.  That does it for me.  I'll remember the versioned Conflicts:
approach for next time i see something like this.  Thanks, Jesus.

	--dkg



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 18:39:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:27:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.